<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.325
Name: Appendix photo
Description: Template: Appendix vastgelegd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000">
   <title>Appendix photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]
Item: (Appendixphoto)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']
Item: (Appendixphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']"
         id="tmp-r-1f6990b1-9f56-4679-a519-0f9037ad9415">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="string(@classCode)=('OBS')">(Appendixphoto): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="string(@moodCode)=('EVN')">(Appendixphoto): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'])&gt;=1 ">(Appendixphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'])&lt;=1">(Appendixphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&gt;=1 and not(hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]/@nullFlavor)">(Appendixphoto): element hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&lt;=1">(Appendixphoto): element hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Appendixphoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Appendixphoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:value)&lt;=1">(Appendixphoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']
Item: (Appendixphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']"
         id="tmp-r-7561cf36-50b3-4546-b2f3-605a2d0ec67f">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.325')">(Appendixphoto): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.325' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]
Item: (Appendixphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:code[(@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]"
         id="tmp-r-88850965-4b47-49d3-99c7-39c855827f96">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="@nullFlavor or (@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Appendixphoto): de elementwaarde MOET een zijn van 'code 'C140032' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:text
Item: (Appendixphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:text"
         id="tmp-r-2eb086bd-e452-4592-8698-567ab4949744">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Appendixphoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Appendixphoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:text/hl7:reference
Item: (Appendixphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:text/hl7:reference"
         id="tmp-r-3ccc40d1-93d9-40b6-9640-6ad4e053da57">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:value
Item: (Appendixphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']/hl7:value"
         id="tmp-r-9cb69265-b68d-4a8d-a384-b0b879017876">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150615T233241/tmp-2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
</pattern>
